DB_ENV->mutex_get_increment()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_get_increment()

    #include <db.h>

    int
    DB_ENV->mutex_get_increment(DB_ENV *dbenv, u_int32_t *incrementp);

The `DB_ENV->mutex_get_increment()` method returns the number of additional mutexes to allocate.

The `DB_ENV->mutex_get_increment()` method may be called at any time during the life of the application.

The `DB_ENV->mutex_get_increment()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### incrementp

The `DB_ENV->mutex_get_increment()` method returns the number of additional mutexes to allocate in incrementp.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_get_align() | Home | DB_ENV->mutex_get_max()